/*
 *	loque\Kick.java
 *
 *	Kick-Befehl
 *
 *  $Id: Kick.java,v 1.6 2002/07/07 14:31:03 richard Exp $
 *
 */

package loque;


/**
 *	Kick-Befehl
 */
public class Kick {



  /** relative Richtung (1/100)*/
  private int dir;
  /** Staerke (1/1) */
  private int power;
  /**
   * Konstruktor
   */
  public Kick( int iPower, int iDir ){
	  dir=iDir; power=iPower;
  }

  /**
  * Wandelt diese Objekt in ein rcsss-Kommando um. Damit sparen wir uns
  * eine rel. aufwndiges encoden.
  *
  * @return Robocup-Server-Kommando
  */
  public String toString(){
        return "(kick " + power + " " + (dir/100) + ")";
  }

}

/*
 * Version History:
 *
 * $Log: Kick.java,v $
 * Revision 1.6  2002/07/07 14:31:03  richard
 * Diverses privatisiert
 *
 * Revision 1.5  2002/07/06 20:02:47  matthias
 * Noch mehr Kommentare
 *
 * Revision 1.4  2002/06/02 13:17:45  richard
 * Log4J aktiviert, Header korrigiert, Einheitenkommentare hinzugefuegt, Umrechnung der Einheiten hinzugefuegt, allgemeine Korrekturen
 *
 * Revision 1.3  2002/06/02 08:37:18  matthias
 * IO_Translate: encode fertiggestellt
 * Turn und Turn_Neck hinzugefgt
 * Turn, Turn_Neck, Catch, Dash, Kick, Move, Say Methode toString hinzugefgt
 *
 * Revision 1.2  2002/05/28 14:31:52  bbleiffus
 * log4j Grundstruktur auskommentiert eingefgt
 *
 * Revision 1.1  2002/05/28 12:33:06  richard
 * moving files
 *
 * Revision 1.3  2002/05/25 14:55:23  richard
 * added package-statements, worked on the WorldModell, added Line-Class
 *
 * Revision 1.2  2002/05/24 14:21:21  richard
 * habe Log korrigiert
 *
 *
 */