/*
 *	loque\Say.java
 *
 *	Say-Nachricht/Befehl
 *
 *  $Id: Say.java,v 1.6 2002/07/06 20:02:47 matthias Exp $
 *
 */

package loque;

// log4j Klassen importieren
import org.apache.log4j.Category;
import org.apache.log4j.Priority;
import org.apache.log4j.NDC;

/**
 *	Say-Nachricht/Befehl
 *
 * Diese Klasse sollte es den Spielern ermglichen unter
 * einander zu kommunizieren. Dies sollte in einer spteren Entwicklung
 * einmal mglich werden, jedoch bis zu Abgabe konnte dieser Teil nicht
 * mehr realisiert werden (von KI-Seite her).
 */
public class Say {

  static Category cat = Category.getInstance( Say.class.getName());

  /** Attributes */
  private int messageNumber;
  private short empfaenger;
  private short sender;
  private String befehl;
  private String teamname;

  /**
   * Konstruktor
   *
   * @param String teamname, short empfaenger, short sender, int messageNumber, String befehl
   */
  public Say( String teamname, short empfaenger, short sender, int messageNumber, String befehl ){
    this.teamname = teamname;
    this.messageNumber = messageNumber;
    this.empfaenger = empfaenger;
    this.sender = sender;
    this.befehl = befehl;
  }


  // Message Format:  "teamname empfaenger sender messageNumber befehl"
  // rcssserver Format: (say teamname empfaenger sender messageNumber befehl)
  public String toString(){
    cat.info("(say " + teamname + " "+ empfaenger + " " + sender + " " + messageNumber + befehl + ")");
    return   "(say " + teamname + " "+ empfaenger + " " + sender + " " + messageNumber + befehl + ")";
  }
}

/*
 * Version History:
 *
 * $Log: Say.java,v $
 * Revision 1.6  2002/07/06 20:02:47  matthias
 * Noch mehr Kommentare
 *
 * Revision 1.5  2002/06/20 18:47:51  matthias
 * Hear Klasse erstellt.
 * IO_Trans und Say klar zur Kommunikation
 * !!! NOCH NICHT GETESTET !!!
 *
 * Revision 1.4  2002/06/02 13:17:45  richard
 * Log4J aktiviert, Header korrigiert, Einheitenkommentare hinzugefuegt, Umrechnung der Einheiten hinzugefuegt, allgemeine Korrekturen
 *
 * Revision 1.3  2002/06/02 08:37:18  matthias
 * IO_Translate: encode fertiggestellt
 * Turn und Turn_Neck hinzugefgt
 * Turn, Turn_Neck, Catch, Dash, Kick, Move, Say Methode toString hinzugefgt
 *
 * Revision 1.2  2002/05/28 14:31:52  bbleiffus
 * log4j Grundstruktur auskommentiert eingefgt
 *
 * Revision 1.1  2002/05/28 12:33:06  richard
 * moving files
 *
 * Revision 1.3  2002/05/25 14:55:23  richard
 * added package-statements, worked on the WorldModell, added Line-Class
 *
 * Revision 1.2  2002/05/24 14:21:21  richard
 * habe Log korrigiert
 *
 *
 */
