/*
 *	JPfield.java
 *
 *
 *
 */

package monitor;

import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import java.lang.Object;

public class JPfield extends JPanel {

	/**Spielervariablen */
	int pl_x=263+25;//Mitte
	int pl_y=170+25;
	int pl_vx=10;
	int pl_vy=10;
	int pl_view_dir=0;//0: oben ,90: links
	int pl_view_arc=90,stamina=4000,view_szx=60*5,view_szy=60*5;

	/**Feldobjekt-koorinaten*/
	int fobj[][]={{0,0,0},{0,0,0},{0,0,0},{0,0,0},{0,0,0},{0,0,0},{0,0,0},{0,0,0},{0,0,0},
								{0,0,0},{0,0,0},{0,0,0},{0,0,0},{0,0,0},{0,0,0},{0,0,0},{0,0,0},
								{0,0,0},{0,0,0},{0,0,0},{0,0,0},{0,0,0}};//22*3



	int status=0;       /**0:
											 1:
											 2:
											 250:exit constructor-loop in monitor
											 **/

	public void setLine(int x,int y, int vx,int vy){
	}

	public void paintComponent(Graphics g) {
		super.paintComponent(g);  //paint background
		Graphics2D g2d=(Graphics2D) g;

		//zeichne spielfeld
		g2d.setColor(Color.white);
		g2d.drawLine(25,25,550,25);//oben: 105*5=525
		g2d.drawLine(25,365,550,365);//unten:525
		g2d.drawLine(25,25,25,365);//links:68*5=340
		g2d.drawLine(550,25,550,365);//rechts:340
		g2d.drawLine(288,25,288,365);//mittellinie

		g2d.drawLine(20,160,20,230);//Tor links
		g2d.drawLine(25,160,20,160);
		g2d.drawLine(25,230,20,230);

		g2d.drawLine(107,112,107,277);//strafraum links
		g2d.drawLine(25,112,107,112);//Strafrume nach FIFA
		g2d.drawLine(25,277,107,277);

		g2d.drawLine(52,149,52,241);//another line left
		g2d.drawLine(25,149,52,149);
		g2d.drawLine(25,241,52,241);

		g2d.drawLine(555,160,555,230);//Tor rechts
		g2d.drawLine(555,160,550,160);
		g2d.drawLine(555,230,550,230);

		g.drawLine(467,112,467,277);//strafraum rechts
		g.drawLine(467,112,550,112);
		g.drawLine(467,277,550,277);

		g.drawLine(523,149,523,241);//another line right
		g.drawLine(523,149,550,149);
		g.drawLine(523,241,550,241);

		g2d.drawArc(288-23,195-23,46,46,0,360);//Mittelkreis nach FIFA
		//so jetz wirds lustig
		for(int i=0;i<=21;i++){         //objects
			if(fobj[i][0]>0){
				if(fobj[i][2]==1)//friend
					g.setColor(Color.blue);
  			else if(fobj[i][2]==2)//enemy
					g.setColor(Color.red);
				else if(fobj[i][2]==3)//unknown
					g.setColor(Color.darkGray);
				else if(fobj[i][2]==4)//Ball
					g.setColor(Color.white);
				g.fillArc(fobj[i][0]-3,fobj[i][1]-3,6,6,0,360);
			}
		}
		//draw player-ego
		g2d.setColor(Color.yellow);
		AlphaComposite alpha=AlphaComposite.getInstance(AlphaComposite.SRC_OVER,0.5f);
		g2d.fillArc(pl_x-3,pl_y-3,6,6,0,360);//MUST exist
		g2d.setColor(Color.blue);
		g2d.setComposite(alpha);
		g2d.fillArc(pl_x-(view_szx/2),pl_y-(view_szy/2),view_szx,view_szy,pl_view_dir+90-(pl_view_arc/2),pl_view_arc);
		g2d.setColor(Color.yellow);
		g2d.drawLine(pl_x,pl_y,pl_vx+pl_x,pl_vy+pl_y); //speed vector
		g2d.drawString(Integer.toString(stamina),pl_x+10,pl_y+10);//stamina
	}
}

/*
 * Version History:
 *
 * $Log: JPfield.java,v $
 * Revision 1.16  2002/07/07 23:30:55  richard
 * auf thread-mode umgestellt
 *
 * Revision 1.15  2002/07/07 09:43:51  sebastian
 * seems to be the FINAL
 * (to shutdown loque is only possible if monitor is connected)
 *
 * Revision 1.14  2002/06/30 18:22:51  sebastian
 * no message
 *
 * Revision 1.6  2002/06/09 13:33:40  sebastian
 * :)
 * neue version
 *
*/