/**
 * dserver\DServer
 * 
 * Debugserver, an den ein Client angeschlossen werden kann 
 * 
 * Aufruf java DServer <ListeningPort>
 * 
 * @author R.Sohnius 
 * 
 * IST KEIN VERLANGTER TEIL !!!
 * ENTHAELT WEDER KOMMENTARE NOCH DEBUG-INFORMATIONEN !!!
 */

import java.io.*;
import java.net.*;

public class DServer extends Thread{

	static private InetAddress host = null;
	static private int port = 0;
	static private int ex_port = 0;
	static private DServer ingoing;
	static private DatagramSocket socket;

	public static void send( String toSend ){
		if( host == null )return;
		byte[] data = toSend.getBytes();

		DatagramPacket packet = new DatagramPacket( data, data.length, host, ex_port );
		try{
			socket.send( packet );
		}catch( IOException dummy ){
			System.out.println( "Send failure" );
		}
		System.out.println( "> "+toSend );
	}

	public String receive(){
    byte[] inbuffer = new byte[1024];
		DatagramPacket received = new DatagramPacket( inbuffer, inbuffer.length );
		try{
			socket.receive( received );
		}catch( IOException dummy ){
			return null;
		}
		 if( host == null ){
			 host = received.getAddress();
			 ex_port = received.getPort();
			 System.out.println( "connected to "+host+" at "+ex_port );
		 }
		 return new String( received.getData() ).trim();
	}

	public static void main ( String args[] ){
		if( args.length < 1 )port = 6000;
		else port = Integer.parseInt(args[0]);
		System.out.println( "Listening on Port: "+port );
		try{
			socket = new DatagramSocket( port );
			socket.setSoTimeout( 1000 );
		}catch( SocketException dummy ){
			System.out.println( "Could not create Socket..." );
			System.exit( 1 );
		}
		ingoing = new DServer(); ingoing.start();
		BufferedReader in = new BufferedReader(	new InputStreamReader(System.in));
		String command = new String("");
		while( command == null || !command.equals("exit") ){
			try{
				command=in.readLine();
			}catch( IOException dummy ){
				System.out.println("Keyboard failure");
				command=null;
			}
			if( host != null && command != null && !command.equals("exit") )send( command );
		}
		ingoing.stop();
		ingoing = null;
	}

	public void run(){
		String in;
		while( true ){
			in = receive();
			if( in != null )System.out.println( "< "+in );
		}
	}

}

