/*
 *	loque\Catch.java
 *
 *	Catch-Befehl
 *
 *  $Id: Catch.java,v 1.5 2002/07/07 14:31:03 richard Exp $
 *
 */

package loque;

// log4j Klassen importieren
import org.apache.log4j.Category;
import org.apache.log4j.Priority;
import org.apache.log4j.NDC;

/**
 * Datenstruktur fr Catch-Befehl
 */
public class Catch {

	static Category cat = Category.getInstance( Catch.class.getName());

  /** relative Richtung(1/100) */
  private int dir;
  /**
   * Konstruktor
   *
   */
  public Catch( int iDir ){
	  dir=iDir;
  }
  public String toString(){
        return "(catch " + (dir/100) + ")";
  }

}

/*
 * Version History:
 *
 * $Log: Catch.java,v $
 * Revision 1.5  2002/07/07 14:31:03  richard
 * Diverses privatisiert
 *
 * Revision 1.4  2002/06/02 13:17:45  richard
 * Log4J aktiviert, Header korrigiert, Einheitenkommentare hinzugefuegt, Umrechnung der Einheiten hinzugefuegt, allgemeine Korrekturen
 *
 * Revision 1.3  2002/06/02 08:37:18  matthias
 * IO_Translate: encode fertiggestellt
 * Turn und Turn_Neck hinzugefgt
 * Turn, Turn_Neck, Catch, Dash, Kick, Move, Say Methode toString hinzugefgt
 *
 * Revision 1.2  2002/05/28 14:31:52  bbleiffus
 * log4j Grundstruktur auskommentiert eingefgt
 *
 * Revision 1.1  2002/05/28 12:33:06  richard
 * moving files
 *
 * Revision 1.3  2002/05/25 14:55:23  richard
 * added package-statements, worked on the WorldModell, added Line-Class
 *
 * Revision 1.2  2002/05/24 14:21:20  richard
 * habe Log korrigiert
 *
 *
 */