/*
 *	loque\Feel.java
 *
 *	Modellierung der Body_Sense-Nachricht
 *
 *
 * $Id: Feel.java,v 1.5 2002/07/06 20:02:47 matthias Exp $
 */

package loque;



/**
 *	Modellierung der Body_Sense-Nachricht
 */
public class Feel{


	public static final short vm_low = 0;
	public static final short vm_high = 1;
	public static final short vw_wide = 1;
	public static final short vm_normal = 2;
	public static final short vm_narrow = 3;

  /**
	 * Attribute
	 */
	public short viewmode, viewwidth;
	public int stamina, speed, speedDir, headDir;

  /**
	 * Konstruktor
	 */
	public Feel( short iViewMode, short iViewWidth,
							 int iStamina, int iSpeed, int iSpeedDir, int iHeadDir ){
		viewmode = iViewMode; viewwidth = iViewWidth; stamina = iStamina;
		speed = iSpeed; speedDir = iSpeedDir; headDir = iHeadDir;
	}


}


/*
 * Version History:
 *
 * $Log: Feel.java,v $
 * Revision 1.5  2002/07/06 20:02:47  matthias
 * Noch mehr Kommentare
 *
 * Revision 1.4  2002/06/02 13:17:45  richard
 * Log4J aktiviert, Header korrigiert, Einheitenkommentare hinzugefuegt, Umrechnung der Einheiten hinzugefuegt, allgemeine Korrekturen
 *
 * Revision 1.3  2002/06/01 21:01:24  matthias
 * Konstruktor Feel() hinzugefgt
 *
 * Revision 1.2  2002/05/28 14:31:52  bbleiffus
 * log4j Grundstruktur auskommentiert eingefgt
 *
 * Revision 1.1  2002/05/28 12:33:06  richard
 * moving files
 *
 * Revision 1.1  2002/05/25 20:56:07  richard
 * Feel-Class hinzugefuegt and deren Auswertung
 *
 *
 */