/*
 *	loque\Turn.java
 *
 *	Drehen-Befehl
 *
 *  $Id: Turn.java,v 1.5 2002/07/07 14:31:03 richard Exp $
 *
 */
package loque;

/**
 * Datenstruktur fuer Dreh-Befehl
 */
public class Turn{
  /** Drehwinkel(1/100) */
  private int moment;
  /**
  * Konstruktor
  */
  public Turn(int moment){
    this.moment=moment;
  }
  /**
   * Wandelt diese Objekt in ein rcsss-Kommando um. Damit sparen wir uns
   * eine rel. aufwndiges encoden.
   *
   * @return Robocup-Server-Kommando
   */
  public String toString(){
        return "(turn " + (moment/100) + ")";
  }
}


/*
 * Version History:
 *
 * $Log: Turn.java,v $
 * Revision 1.5  2002/07/07 14:31:03  richard
 * Diverses privatisiert
 *
 * Revision 1.4  2002/07/06 20:02:47  matthias
 * Noch mehr Kommentare
 *
 * Revision 1.3  2002/06/02 13:17:45  richard
 * Log4J aktiviert, Header korrigiert, Einheitenkommentare hinzugefuegt, Umrechnung der Einheiten hinzugefuegt, allgemeine Korrekturen
 *
 *
 *
 */